%define prefix /usr
%define name krpm2info
%define version 0.2.0Beta2
%define release 1
%define summary For managing rpm packages.
%define section System/Configuration/Packaging
%define title  K Rpm2Info
%define longtitle %summary
%define url http://www.kde-apps.org/content/show.php?content=19529
%define arch noarch
%define group Graphical desktop/KDE
%define packager Serge Demonchaux <serge.d3@free.fr>   

Name: %{name}
Summary: %{summary}
Version:	%{version}
Release: %{release}
URL: %{url}
Group: %{group}
BuildRoot: %_tmppath/%{name}-%{version}-%{release}
Packager: %{packager}
Source0: %{name}-%{version}.tar.gz
License: GPL2
Requires: kdebase >= 3.3
Requires: libqt3 >= 3.2
BuildArch: %{arch}

%description
# Gros probleme avec l'Anglais:
A service menu (krpm2info-servicemenu.desktop) for Konqueror that works in conjunction 
with a bash script (krpm2info) to allow several actions on package RPM: 
 -Extract: To extract the contents from package RPM in a new dir and to post  
   in a page HTML information of file RPM. 
 -About: : Post in a page HTML information of file RPM. 
 -Research on RpmFind: Seek file RPM on RpmFind. 
 -Research on RedIris: Seek file RPM on RedIris. 
 -Research on pBone: Seek file RPM on pBone. 
 -Go on "%{title}" Home Page 


%prep
rm -rf %{BuildRoot} 
rm -rf $RPM_BUILD_ROOT

%setup

%install
install -d -m 0755 %buildroot%_bindir/
install -d -m 0755 %buildroot%_datadir/apps/konqueror/servicemenus/
install -d -m 0755 %buildroot%_datadir/apps/%{name}/
install -d -m 0755 %buildroot%_datadir/apps/%{name}/icons/
install -d -m 0755 %buildroot%_datadir/doc/%{name}-%{version}/
install -d -m 0755 %buildroot%_datadir/applnk/System/Configuration/Packaging/

install -m 0644 $RPM_BUILD_DIR/%{name}-%{version}/%{name}-servicemenu.desktop %buildroot%_datadir/apps/konqueror/servicemenus/%{name}-servicemenu.desktop

install -m 0755 $RPM_BUILD_DIR/%{name}-%{version}/%{name} %buildroot%_bindir/%{name}

install -m 0644 $RPM_BUILD_DIR/%{name}-%{version}/%{name}.desktop %buildroot%_datadir/applnk/System/Configuration/Packaging/%{name}.desktop

install -m 0644 $RPM_BUILD_DIR/%{name}-%{version}/icons/kfind.png %buildroot%_datadir/apps/%{name}/icons/kfind.png

install -m 0644 $RPM_BUILD_DIR/%{name}-%{version}/icons/korganizer_todo.png %buildroot%_datadir/apps/%{name}/icons/korganizer_todo.png

install -m 0644 $RPM_BUILD_DIR/%{name}-%{version}/icons/log.png %buildroot%_datadir/apps/%{name}/icons/log.png 

install -m 0644 $RPM_BUILD_DIR/%{name}-%{version}/icons/shellscript.png %buildroot%_datadir/apps/%{name}/icons/shellscript.png 

install -m 0644 $RPM_BUILD_DIR/%{name}-%{version}/icons/source.png %buildroot%_datadir/apps/%{name}/icons/source.png

install -m 0644 $RPM_BUILD_DIR/%{name}-%{version}/icons/vcard.png %buildroot%_datadir/apps/%{name}/icons/vcard.png

install -m 0644 $RPM_BUILD_DIR/%{name}-%{version}/icons/%{name}.png %buildroot%_datadir/apps/%{name}/icons/%{name}.png

install -m 0644 %_specdir/%{name}.spec %buildroot%_datadir/doc/%{name}-%{version}/%{name}.spec

# Installation du programme dans le menu MDK:
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%name): \
needs="X11" \
section="%{section}" \
title="%{title}" \
icon="%_datadir/apps/%{name}/icons/%{name}.png" \
command="%{_bindir}/%{name}" \
kde_command="%{_bindir}/%{name} %f" \
mimetypes="application/x-rpm" \
multiple_files="false" accept_url="true" \
longtitle="%{longtitle}"
EOF

%clean
rm -rf %{BuildRoot}
rm -rf %_tmppath/%{name}-%{version}

%files
%defattr(-,root,root)
%dir %_datadir/apps/%{name}/icons/
%dir %_datadir/doc/%{name}-%{version}/
%dir %_datadir/applnk/System/Configuration/Packaging/
%dir %_menudir/

%_bindir/%{name}
%_datadir/doc/%{name}-%{version}/%{name}.spec
%_datadir/apps/%{name}/icons/*.png
%_datadir/apps/konqueror/servicemenus/%{name}-servicemenu.desktop
%_datadir/applnk/System/Configuration/Packaging/%{name}.desktop
%_menudir/%{name}

%post
%{update_menus}

%postun
%{clean_menus}

%changelog
* Sat Jan 22 2005 Serge Demonchaux 0.2.0Beta2-1mdk
Add dialog error.
Fix LC_ALL=C.

* Fri Jan 21 2005 Serge Demonchaux 0.2.0Beta1-5mdk
-Fix icon entry in menu mdk.

* Fri Jan 21 2005 Serge Demonchaux 0.2.0Beta1-4mdk
-Fix mdk spec methode

* Fri Jan 21 2005 Serge Demonchaux 0.2.0Beta1-3mdk
-Remove script uninstall apllnk in users desktop.

* Fri Jan 21 2005 Serge Demonchaux 0.2.0Beta1-2mdk
-Fix error.
* Fri Jan 21 2005 Serge Demonchaux 0.2.0Beta1-1mdk
-Initial rpm.





