%define prefix /opt/kde3
%define name krpm2info
%define version 0.2.0Beta2
%define release 3
%define summary For managing rpm packages.
%define section System/Configuration/Packaging
%define title  K Rpm2Info
%define longtitle %summary
%define url http://www.kde-apps.org/content/show.php?content=19529
%define arch noarch
%define group Graphical desktop/KDE
%define packager Serge Demonchaux <serge.d3@free.fr>   

Distribution: SuSE
Vendor: SuSE
Name: %{name}
Summary: %{summary}
Version:	%{version}
Release: %{release}
URL: %{url}
Group: %{group}
BuildRoot: %_tmppath/%{name}-%{version}-%{release}
Packager: %{packager}
Source0: %{name}-%{version}.tar.gz
License: GPL2
Requires: kdebase3
BuildArch: %{arch}

%description
# Gros probleme avec l'Anglais:
A service menu (krpm2info-servicemenu.desktop) for Konqueror that works in conjunction 
with a bash script (krpm2info) to allow several actions on package RPM: 
 -Extract: To extract the contents from package RPM in a new dir and to post  
   in a page HTML information of file RPM. 
 -About: : Post in a page HTML information of file RPM. 
 -Research on RpmFind: Seek file RPM on RpmFind. 
 -Research on RedIris: Seek file RPM on RedIris. 
 -Research on pBone: Seek file RPM on pBone. 
 -Go on "%{title}" Home Page 


%prep
rm -rf %{BuildRoot} 
rm -rf $RPM_BUILD_ROOT

%setup

%install
install -d -m 0755 %buildroot%{prefix}/bin/
install -d -m 0755 %buildroot%{prefix}/share/apps/konqueror/servicemenus/
install -d -m 0755 %buildroot%{prefix}/share/apps/%{name}/
install -d -m 0755 %buildroot%{prefix}/share/apps/%{name}/icons/
install -d -m 0755 %buildroot%{prefix}/share/applnk/System/

install -m 0644 $RPM_BUILD_DIR/%{name}-%{version}/%{name}-servicemenu.desktop %buildroot%{prefix}/share/apps/konqueror/servicemenus/%{name}-servicemenu.desktop

install -m 0755 $RPM_BUILD_DIR/%{name}-%{version}/%{name} %buildroot%{prefix}/bin/%{name}

install -m 0644 $RPM_BUILD_DIR/%{name}-%{version}/icons/kfind.png %buildroot%{prefix}/share/apps/%{name}/icons/kfind.png

install -m 0644 $RPM_BUILD_DIR/%{name}-%{version}/icons/korganizer_todo.png %buildroot%{prefix}/share/apps/%{name}/icons/korganizer_todo.png

install -m 0644 $RPM_BUILD_DIR/%{name}-%{version}/icons/log.png %buildroot%{prefix}/share/apps/%{name}/icons/log.png 

install -m 0644 $RPM_BUILD_DIR/%{name}-%{version}/icons/shellscript.png %buildroot%{prefix}/share/apps/%{name}/icons/shellscript.png 

install -m 0644 $RPM_BUILD_DIR/%{name}-%{version}/icons/source.png %buildroot%{prefix}/share/apps/%{name}/icons/source.png

install -m 0644 $RPM_BUILD_DIR/%{name}-%{version}/icons/vcard.png %buildroot%{prefix}/share/apps/%{name}/icons/vcard.png

install -m 0644 $RPM_BUILD_DIR/%{name}-%{version}/icons/%{name}.png %buildroot%{prefix}/share/apps/%{name}/icons/%{name}.png

mkdir -p $RPM_BUILD_ROOT%{prefix}/share/applnk/System/
cat <<EOF > $RPM_BUILD_ROOT%{prefix}/share/applnk/System/%{name}.desktop
[Desktop Entry]
Comment[fr]=Trousse à outils RPM.
Encoding=UTF-8
Exec=%{prefix}/bin/krpm2info %f
GenericName=K Rpm2Info
GenericName[fr]=K Rpm2Info (Trousse à outils RPM)
Icon= %{prefix}/share/apps/$SERVICEMENU/icons/$SERVICEMENU.png
InitialPreference=10
MimeType=application/x-rpm
Name=K Rpm2Info
Name[fr]=K Rpm2Info (Trousse à outils RPM)
Path=
StartupNotify=true
Terminal=false
TerminalOptions=
Type=Application
X-DCOP-ServiceType=
X-KDE-SubstituteUID=false
X-KDE-Username=
Actions=find_rediris;find_rpmfind;find_pbone

[Desktop Action find_rpmfind]
Icon=find
Name=Go "RpmFind" Home Page...
Exec=kfmclient newTab http://rpmfind.net/linux/rpm2html/search.php?query=&submit=Search+...&system=suse

[Desktop Action find_rediris]
Icon=find
Name=Go "RedIris" Home Page...
Exec=kfmclient newTab http://rpmfind.rediris.es/linux/rpm2html/search.php?query=&submit=Search+...&system=suse

[Desktop Action find_pbone]
Icon=find
Name=Go "pBone" Home Page...
Exec=kfmclient newTab http://rpm.pbone.net/
EOF


%clean
rm -rf %{BuildRoot}
rm -rf %_tmppath/%{name}-%{version}

%files
%defattr(-,root,root)
%dir %{prefix}/share/apps/
%dir %{prefix}/share/apps/%{name}
%dir %{prefix}/share/apps/%{name}/icons/
%dir %{prefix}/share/applnk/
%dir %{prefix}/share/applnk/System/

%{prefix}/bin/%{name}
%{prefix}/share/apps/%{name}/icons/*.png
%{prefix}/share/apps/konqueror/servicemenus/%{name}-servicemenu.desktop
%{prefix}/share/applnk/System/%{name}.desktop

%post

%postun

%changelog
* Sat Jan 22 2005 Serge Demonchaux 0.2.0Beta2-3suse
Fix applnk in spec

* Sat Jan 22 2005 Serge Demonchaux 0.2.0Beta2-2suse
Fix icon applnk

* Sat Jan 22 2005 Serge Demonchaux <serge.d3@free.fr> 0.2.0Beta2-1suse
Add dialog error.
Fix LC_ALL=C.

* Fri Jan 21 2005 Serge Demonchaux <serge.d3@free.fr> 0.2.0Beta1-4suse
-Fix SuSE spec 

* Fri Jan 21 2005 Serge Demonchaux <serge.d3@free.fr> 0.2.0Beta1-3suse
-Remove script uninstall apllnk in users desktop.

* Fri Jan 21 2005 Serge Demonchaux <serge.d3@free.fr> 0.2.0Beta1-2suse
-Fix error.

* Fri Jan 21 2005 Serge Demonchaux <serge.d3@free.fr> 0.2.0Beta1-1suse
-Initial rpm.
